Class | ActiveMerchant::Billing::ExactGateway
In: | lib/active_merchant/billing/gateways/exact.rb
Parent: | Gateway

### Methods

authorize capture credit new purchase test?

### Constants

URL | = | 'https://secure2.e-xact.com/vplug-in/transaction/rpc-enc/service.asmx'
API_VERSION | = | "8.5"
TEST_LOGINS | = | [ {:login => "A00049-01", :password => "test1"}, {:login => "A00427-01", :password => "testus"} ]
TRANSACTIONS | = | { :sale => "00", :authorization => "01", :capture => "32", :credit => "34" }
ENVELOPE_NAMESPACES | = | { 'xmlns:xsd' => 'http://www.w3.org/2001/XMLSchema', 'xmlns:env' => 'http://schemas.xmlsoap.org/soap/envelope/', 'xmlns:xsi' => 'http://www.w3.org/2001/XMLSchema-instance'
SEND_AND_COMMIT_ATTRIBUTES | = | { 'xmlns:n1' => "http://secure2.e-xact.com/vplug-in/transaction/rpc-enc/Request", 'env:encodingStyle' => 'http://schemas.xmlsoap.org/soap/encoding/'
SEND_AND_COMMIT_SOURCE_ATTRIBUTES | = | { 'xmlns:n2' => 'http://secure2.e-xact.com/vplug-in/transaction/rpc-enc/encodedTypes', 'xsi:type' => 'n2:Transaction'
POST_HEADERS | = | { 'soapAction' => "http://secure2.e-xact.com/vplug-in/transaction/rpc-enc/SendAndCommit", 'Content-Type' => 'text/xml'
SUCCESS | = | "true"
SENSITIVE_FIELDS | = | [ :verification_str2, :expiry_date, :card_number ]

### Public Class methods

new(options = {})

### Public Instance methods

authorize(money, credit_card, options = {})
capture(money, authorization, options = {})
credit(money, authorization, options = {})
purchase(money, credit_card, options = {})
test?()

[Validate]